Download it now!
Bug 128712 - Is the explanation clear in tip nr. 14 about selection zooming?
Summary: Is the explanation clear in tip nr. 14 about selection zooming?
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: sdc.blanco
URL:
Whiteboard: target:6.5.0 target:6.4.0.1
Keywords:
Depends on:
Blocks: Tip-Of-The-Day
  Show dependency treegraph
 
Reported: 2019-11-11 13:34 UTC by sdc.blanco
Modified: 2019-12-08 10:02 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot of tip 14 (30.82 KB, application/vnd.oasis.opendocument.text)
2019-11-11 13:34 UTC, sdc.blanco
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2019-11-11 13:34:45 UTC
Created attachment 155704 [details]
screenshot of tip 14

Tip nr. 14 says:  To quickly zoom in the selection, press / (divide key) on the number pad. Press * to restore the entire page in screen.

I tried to follow these instructions -- i.e.,  select some text, press / on the number keypad -- but this just replaces the selected text with /.  

I assume that I have misunderstood the "tip".  Maybe I have not "selected" the right thing -- but then suggest that "selection" has to be clarified.

screenshot of tip attached, along with text for testing.

Tested with:  Version: 6.4.0.0.alpha1 (x64)
Build ID: cc57df8f942f239d29cb575ea5a7cb01405db787
CPU threads: 8; OS: Windows 10.0 Build 18362; UI render: GL; VCL: win; 
Locale: en-US (en_DK); UI-Language: en-US
Calc: CL
Comment 1 Heiko Tietze 2019-11-14 12:10:33 UTC
This tip is about Draw only, and therefor the image is "tipoftheday_d.png" (*_d = Draw, *_w = Writer, *_c = Calc - all images can be set individually).
We can rephrase and include Draw in the text or resolve as WFM. Up to you.

Please attach just the image, PNG is good.
Comment 2 sdc.blanco 2019-11-14 13:28:33 UTC
(In reply to Heiko Tietze from comment #1)
> This tip is about Draw only, and therefor the image is "tipoftheday_d.png"
> (*_d = Draw, *_w = Writer, *_c = Calc - all images can be set individually).
> We can rephrase and include Draw in the text or resolve as WFM. Up to you.
> 
> Please attach just the image, PNG is good.

Ok.  I will attempt a slight rewrite. (and see if I can also get the automatic "commit" notification).

Like others (see comments in bug #127294), did not appreciate significance of tipoftheday image (until you pointed it out).
Comment 3 sdc.blanco 2019-11-15 10:32:05 UTC
I propose to break this tip into two tips, partly to increase the pool of Draw tips), but also because these two commands are not linked with each other.  

1. To zoom a selection to fit the entire window in Draw, use the / (divide key) on the number pad. 

2. Fit the entire page in a Draw window, use * on the number pad.


(small explanation about proposed change in nr. 1:  While it is surprising to zoom a selected object, it is not necessary to use '*' alone to zoom out.  It is also possible to restore using the '-' key or the zoom slider in the status line.  By including only the '*' in nr. 1, it may mislead one into thinking that this is the only way.)

If this proposal seems all right, then I will make the commits these two tips.

Also, I would add the uri to the help files -- but I could not find them.

I assume it starts with:  modules/sdraw/ui/... 
but was uncertain with the rest.

And I can see now that master now applies to 6.5.0 -- so should I also push these to 6.4 and 6.3?  (and any other ones done recently?)

And while we are at it... how about this for a Draw tip?

3. In a Draw page, use '-' to zoom out; '+' to zoom in 

(or is this too simple/boring?)

And 

4. Construct your own 2D shapes in Draw. Select two or more objects, and explore possibilities with Shape > Combine, Shape > Merge, Shape > Subtract, and Shape > Intersect.
Comment 4 Heiko Tietze 2019-11-18 11:54:08 UTC
(In reply to sdc.blanco from comment #3)
> I propose to break this tip into two tips, partly to increase the pool of
> Draw tips), but also because these two commands are not linked with each
> other.  

Not thrilled. Yes, it is easier to read but the actual tip becomes weaker. Let's see what others think.

(You can always ask for input from the design group by adding the keyword needsUXEval plus adding libreoffice-ux-advise@lists.freedesktop.org to the CC list.)
Comment 5 sdc.blanco 2019-11-18 12:29:43 UTC
(In reply to Heiko Tietze from comment #4)
> (In reply to sdc.blanco from comment #3)
> > I propose to break this tip into two tips, partly to increase the pool of
> > Draw tips), but also because these two commands are not linked with each
> > other.  
> 
> Not thrilled. Yes, it is easier to read but the actual tip becomes weaker.
> Let's see what others think.

Good.  Wanted to have clarification before making commits.

There is also a more general problem embedded in this particular example: what is the general purpose of tips?

I started with the idea that they were a kind of "tutorial" (maybe this assumption underlies your "not thrilled" response) -- but I have come to think of "tips" as trying to be “fun” (and easy to understand) ideas -- meant inspire exploration rather than a kind of “tutorial” (which can be gotten elsewhere, once you have encountered/experienced the idea).

Will be useful to clarify this general point, because, following that interpretation, I was intending to propose breaking some other (complicated) tips into different parts.
Comment 6 Heiko Tietze 2019-11-18 12:57:24 UTC
(In reply to sdc.blanco from comment #5)
> what is the general purpose of tips?

The fun part is definitely important. I would appreciate the tips to show all easter eggs, things you haven't expected and are not really required but make your life much easier. 
And dome tips are rather advertise - so no strict direction. The original list was compiled by the marketing team, see https://pad.documentfoundation.org/p/marketing line 392ff.
Comment 7 Heiko Tietze 2019-11-22 14:47:13 UTC
No further input from UX, removing the keyword.
Comment 8 sdc.blanco 2019-11-29 14:43:39 UTC
(In reply to Heiko Tietze from comment #7)
> No further input from UX, removing the keyword.

Should I assume that my 4 proposals comment #3 are ok?  
If so, then I will make commits for them.
Comment 9 Heiko Tietze 2019-12-01 08:39:52 UTC
(In reply to sdc.blanco from comment #8)
> Should I assume that my 4 proposals comment #3 are ok?  

Yes. The doer is always right in open source :-).
Comment 10 Commit Notification 2019-12-06 07:28:40 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6e70a98b15c97ad2a3714aae5a5bfa22d307f236

tdf#128712 clarification and addition of Draw tips

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Heiko Tietze 2019-12-06 07:31:37 UTC
As this ticket is about #14 I would close it now and continue at bug 127294.
Comment 12 Commit Notification 2019-12-06 09:46:03 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/6e71b40e84d5921da23f74ab333f5cac7cbf9b9b

tdf#128712 clarification and addition of Draw tips

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 BogdanB 2019-12-08 10:02:28 UTC
Verified in 6.5. it's ok now.
Version: 6.5.0.0.alpha0+
Build ID: 5030be4e85179147476b1e441eb618fb6ed58235
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-11-28_20:14:48
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded